% TernAPI-C calling example

tapi = TernAPIC();

yaml = sprintf(['---\n', ...
'name: Rose (one ternary parameter)\n', ...
'description: ! '' "Rose" phase diagram with one ternary interaction parameter\n', ...
' [1] Morral J.E., Davies R.H. Thermodynamics of isolated miscibility gaps //\n', ...
' J. Chim. Phys. 1997. V.94. N5. P.861-868.''\n', ...
'components:\n', ...
'- name: A\n  M: 100.0\n- name: B\n  M: 100.0\n- name: C\n  M: 100.0\n', ...
'global:\n', ...
'- name: a\n  value: ''50000''\n', ...
'- name: t\n  value: ''750''\n', ...
'phases:\n- type: PHASE_SOLUTION\n', ...
'  name: L\n  model:\n  - -@t*s_id + @a*x1*x2*x3\n']);

tapi.setTdModel(yaml);
tapi.setDnum(500);
tapi.setParameter('t', 700); % TODO: SOME INTERESTING EFFECTS!
diag = tapi.calculateDiagram();

trisurf(diag.convhull.kmat', ...
    diag.gsurf.x2, ...
    diag.gsurf.x3, ...
    diag.gsurf.g, ...
    diag.convhull.reg)